TupleInputBinding (Oracle - Berkeley DB Java API)
Date: 2011-10-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.tuple
Class TupleInputBinding

    java.lang.Object
      com.sleepycat.bind.tuple.TupleInputBinding

All Implemented Interfaces:
  EntryBinding<TupleInput>

    public class TupleInputBinding

extends Object
implements EntryBinding<TupleInput>

A concrete `EntryBinding` that uses the `TupleInput` object as the key or data object. A concrete tuple binding for key or data entries which are `TupleInput` objects. This binding is used when tuples themselves are the objects, rather than using application defined objects. A `TupleInput` must always be used. To convert a `TupleOutput` to a `TupleInput`, use the `TupleInput.TupleInput(TupleOutput)` constructor.

Constructor Summary
`TupleInputBinding()` Creates a tuple input binding.

Method Summary
`TupleInput` | `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` | `objectToEntry(TupleInput object, DatabaseEntry entry)` Converts an Object into a entry buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleInputBinding

    public TupleInputBinding()

  Creates a tuple input binding.

Method Detail

### entryToObject

    public TupleInput entryToObject(DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts a entry buffer into an Object.

  Specified by:
    `entryToObject` in interface `EntryBinding<TupleInput>`
  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting Object.

### objectToEntry

    public void objectToEntry(TupleInput object,
                              DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts an Object into a entry buffer.

  Specified by:
    `objectToEntry` in interface `EntryBinding<TupleInput>`
  Parameters:
    `object` - is the source Object.
    `entry` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.